﻿using Eclr;
using Eclr.Pcos;
using RTC_APILib;
using RTC_CAN_Lib;
using RTC_COMLib;
using RTC_ECAT_Lib;
using RTC_LOGLib;
using RTC_SOCKLib;
using System;
using System.Iec61131Lib;

namespace RTC_Template
{
    [FUNCTION("INT")]
    public class RTC_Program_04
    {
        /// <summary>
        /// Task04で動作するプログラム
        /// </summary>
        /// <param name="inState">ステータス定義(STS_INI:初期処理、STS_PRO:通常処理、STS_END:終了処理、STS_ERR:エラー処理)</param>
        /// <returns></returns>
        public static Int16 __Process([VAR_INPUT("INT")] Int16 inState)
        {
            Int16 outState = 99;                // 終了時のステータス格納用変数

            switch (inState)
            {
                case CRTC.STS_INI:
                    outState = On_Init();       //初期処理
                    break;
                case CRTC.STS_PRO:
                    outState = On_Process();    //通常処理
                    break;
                case CRTC.STS_END:
                    outState = On_End();        //終了処理
                    break;
                case CRTC.STS_ERR:
                    outState = On_Err();        //エラー処理
                    break;
            }

            return outState;                    // FUの実行結果を返却
        }

        //-----------------------------------
        //■ 初期処理
        //-----------------------------------
        static short On_Init()
        {
            Int16 inReturn = CRTC.STS_INI;

            //---------------------------------------------------------
            //↓以下、ユーザが初期処理を記述します。
            //---------------------------------------------------------

            //---------------------------------------------------------
            //↑ユーザが記述する初期処理はここまでです。
            //---------------------------------------------------------

            return inReturn;
        }

        //-----------------------------------
        // ■通常処理
        //-----------------------------------
        static short On_Process()
        {
            Int16 inReturn = CRTC.STS_PRO;

            //---------------------------------------------------------
            //↓以下、ユーザが通常処理を記述します。
            //---------------------------------------------------------

            //---------------------------------------------------------
            //↑ユーザが記述する通常処理はここまでです。
            //---------------------------------------------------------

            return inReturn;
        }

        //-----------------------------------
        // ■終了処理
        //-----------------------------------
        static short On_End()
        {
            Int16 inReturn = CRTC.STS_END;

            //---------------------------------------------------------
            //↓以下、ユーザが終了処理を記述します。
            //---------------------------------------------------------

            //---------------------------------------------------------
            //↑ユーザが記述する終了処理はここまでです。
            //---------------------------------------------------------

            return inReturn;
        }

        //-----------------------------------
        // ■エラー処理
        //-----------------------------------
        static short On_Err()
        {
            Int16 inReturn = CRTC.STS_ERR;

            //---------------------------------------------------------
            //↓以下、ユーザがエラー処理を記述します。
            //---------------------------------------------------------

            //---------------------------------------------------------
            //↑ユーザが記述するエラー処理はここまでです。
            //---------------------------------------------------------

            return inReturn;
        }
    }
}
